Bug 1440565 - [abrt] dnfdragora: __init__.py:187:__call__:RecursionError: maximum recursion depth exceeded
Summary: [abrt] dnfdragora: __init__.py:187:__call__:RecursionError: maximum recursion...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b981444ec7cbaf3c57252b4237c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 00:43 UTC by Gerasim
Modified: 2017-04-15 23:51 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.0-19.git20170411.3662635.fc26 dnfdragora-1.0.0-19.git20170411.3662635.fc24 dnfdragora-1.0.0-19.git20170411.3662635.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-15 18:27:40 UTC


Attachments (Terms of Use)
File: backtrace (616 bytes, text/plain)
2017-04-10 00:43 UTC, Gerasim
no flags Details
File: environ (1.78 KB, text/plain)
2017-04-10 00:43 UTC, Gerasim
no flags Details

Description Gerasim 2017-04-10 00:43:25 UTC
Description of problem:
install pkgs

Version-Release number of selected component:
dnfdragora-1.0.0-14.git20170405.cca9412.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
executable:     /usr/bin/dnfdragora
kernel:         4.10.8-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:187:__call__:RecursionError: maximum recursion depth exceeded

Traceback (most recent call last):
  File "/usr/lib/python3.5/site-packages/dnfdaemon/client/__init__.py", line 187, in __call__
    return getattr(self.proxy, self.method)(*args)
RecursionError: maximum recursion depth exceeded

Local variables in innermost frame:
self: <dnfdaemon.client.WeakMethod object at 0x7f2ad2257780>
args: (<Gio.DBusProxy object at 0x7f2ad225b5e8 (GDBusProxy at 0x55dc842a58a0)>, ':1.93', 'DownloadProgress', GLib.Variant('(sddi)', ('gcc-c++-6.3.1-1.fc25.i686.rpm', 0.065513632944455086, 0.05888934592333657, 1)))

Comment 1 Gerasim 2017-04-10 00:43:33 UTC
Created attachment 1270326 [details]
File: backtrace

Comment 2 Gerasim 2017-04-10 00:43:34 UTC
Created attachment 1270327 [details]
File: environ

Comment 3 Fedora Update System 2017-04-11 13:15:44 UTC
libyui-qt-2.47.1-1.fc25 libyui-ncurses-2.48.1-1.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25 libyui-gtk-2.44.8-2.fc25 libyui-3.2.9-1.fc25 dnfdragora-1.0.0-18.git20170411.6098816.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 4 Fedora Update System 2017-04-11 13:16:27 UTC
libyui-qt-2.47.1-1.fc26 libyui-ncurses-2.48.1-1.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-gtk-2.44.8-2.fc26 libyui-3.2.9-1.fc26 dnfdragora-1.0.0-18.git20170411.6098816.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 5 Fedora Update System 2017-04-11 19:25:32 UTC
dnfdragora-1.0.0-18.git20170411.6098816.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-2.fc25, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-1.fc25, libyui-qt-2.47.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 6 Fedora Update System 2017-04-11 20:53:50 UTC
dnfdragora-1.0.0-18.git20170411.6098816.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-2.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-1.fc26, libyui-qt-2.47.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 7 Fedora Update System 2017-04-12 08:18:49 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-2.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-1.fc26 libyui-qt-2.47.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 8 Fedora Update System 2017-04-12 08:19:41 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-2.fc25 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-1.fc25 libyui-qt-2.47.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 9 Fedora Update System 2017-04-12 21:53:47 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-2.fc25, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-1.fc25, libyui-qt-2.47.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 10 Fedora Update System 2017-04-12 23:22:00 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-2.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-1.fc26, libyui-qt-2.47.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 11 Fedora Update System 2017-04-13 07:01:21 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-3.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-2.fc26 libyui-qt-2.47.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 12 Fedora Update System 2017-04-13 07:03:03 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-3.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-2.fc25 libyui-qt-2.47.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 13 Fedora Update System 2017-04-13 15:19:12 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-3.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-2.fc25, libyui-qt-2.47.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 14 Fedora Update System 2017-04-13 16:56:57 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.3.0-1.fc25 libyui-bindings-1.1.1-13.fc25 libyui-gtk-2.44.8-4.fc25 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-3.fc25 libyui-qt-2.47.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 15 Fedora Update System 2017-04-13 17:20:56 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-3.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-2.fc26, libyui-qt-2.47.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 16 Fedora Update System 2017-04-13 18:09:26 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.3.1-1.fc26 libyui-bindings-1.1.1-13.fc26 libyui-gtk-2.44.8-4.fc26 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-3.fc26 libyui-qt-2.47.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 17 Fedora Update System 2017-04-14 13:55:45 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24 libyui-3.3.1-1.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 18 Fedora Update System 2017-04-14 23:52:25 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 19 Fedora Update System 2017-04-15 00:27:45 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 20 Fedora Update System 2017-04-15 01:49:26 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 21 Fedora Update System 2017-04-15 18:27:40 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-04-15 22:49:04 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-04-15 23:51:38 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.